import { ExtensionEvent } from "./on";
import { Handle } from "./interfaces";

/**
 * Publishes a message to a topic on the pub/sub hub. All arguments after
 * the first will be passed to the subscribers, so any number of arguments
 * can be provided (not just event).
 */
export declare function publish(topic: string | ExtensionEvent, ...event: any[]): boolean;

/**
 * Subscribes to a topic on the pub/sub hub
 */
export declare function subscribe(topic: string | ExtensionEvent, listener: EventListener | Function): Handle;
